\documentclass{article}
\usepackage{poetry}

\begin{document}
\poemnew
\titleauthorpoem{Reflections on friendship}{Colby Goettel}
\poemlinenumsfalse
\setlength{\poemhinwd}{2em}
\setlength{\poemverseskip}{1.5em}
\pagenumbering{gobble}

% Center the poem on the longest line (all other lines will truncate based on this, so use the longest).
\centerpoemon{It's like Mike said, ``The most important thing you can do is show up.''}

\begin{poem}
My friend Drew \\
\hin whose band's sticker adorns this notebook\footnote{The poetry notebook in which this was originally written.} \\
Frequently reaches out to me via e-mail to ask how I am. \\
I've always appreciated that \\
\hin about him; \\
\hin appreciated him. \\
And it's never anything big: \\
\hin Hope you enjoyed the new album. \\
\hin How's the move going? \\
\hin We moved and my family is happier! \\
\hin Wishing you well. \\
But it always makes me feel good. \\
It's a good reminder to be mindful. \\
\hin Don't forget your homies. \\
\hin Don't forget your roots. \\
It's like Mike said, ``The most important thing you can do is show up.'' \\
I appreciate when my friends show up. \\!

I try to show up. \\
\hin I need to show up. \\-
\end{poem}
\end{document}
